MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024601Community[OCCT] OCCT:Data Exchangepublic2014-02-05 17:402015-05-14 15:32
Reportergoeranbarz 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version32bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0024601: Unwanted spheres shown after Step-Import
DescriptionIf I import the attached step file, there are four spheres shown which are not supposed to be there. When I open the file in autodesk inventor, everything is fine.
I found some SPHERICAL_SURFACE entries in the step file which are probably responsible for the spheres, but as these spheres aren't shown in other programs, the interpretation of the faces the spheres belong to seems to be different between OpenCascade and other Step Imports (e.g. inventor).
TagsNo tags attached.
Test case numberbugs step(014) bug24601
Attached Files? file icon 216523_2_03.stp (177,400 bytes) 2014-02-05 17:40

- Relationships

-  Notes
(0036906)
git (administrator)
2015-01-30 15:55

Branch CR24601 has been created by ika.

SHA-1: 5141612e672f1ee1e9930ec338d0a8571c6bd6f0


Detailed log of new commits:

Author: ika
Date: Fri Jan 30 14:45:47 2015 +0300

    0024601: Unwanted spheres shown after Step-Import
    Add check for outer boundary before creating wire from Vertex Loop on spheres.
(0036946)
ika (developer)
2015-02-02 12:12

Add check if Vertex Loop is outer boundary or no other outer boundaries before creating face on whole surface (Sphere or BSpline) from this Vertex Loop.

Dear GKA,
could you please review branch CR24601?
(0037029)
gka (developer)
2015-02-03 17:19

Branch CR24601 is ready to be tested
(0037124)
mkv (tester)
2015-02-05 15:25

Dear BugMaster,
Branch CR24601 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5141612e672f1ee1e9930ec338d0a8571c6bd6f0

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24601-master-occt/Debian60-64/bugs/step/bug24601.html [^]
http://occt-tests/CR24601-master-occt/Windows-32-VC10/bugs/step/bug24601.html [^]
bugs step(014) bug24601: OK

Testing on Linux:
occt component :
Total MEMORY difference: 369705444 / 370076844
Total CPU difference: 53628.69999999996 / 49863.81000000002
products component :
Total MEMORY difference: 110894692 / 110877292
Total CPU difference: 17088.489999999983 / 15924.139999999974

Testing on Windows:
occt component :
Total MEMORY difference: 276093608 / 276284192
Total CPU difference: 40115.765625 / 36894.109375
products component :
Total MEMORY difference: 72528328 / 71401072
Total CPU difference: 11375.625 / 11731.96875

There are no differences in images found by testdiff.
(0037125)
git (administrator)
2015-02-05 15:25

Branch CR24601 has been updated by mkv.

SHA-1: aa4ca0182c001eff4cd5b370862409c90bc48204


Detailed log of new commits:

Author: mkv
Date: Thu Feb 5 15:25:06 2015 +0300

    Test case for issue CR24601

(0037126)
mkv (tester)
2015-02-05 15:26

Dear ika,
could you please review test case
bugs step(014) bug24601
(0037130)
gka (developer)
2015-02-05 16:02

Branch CR24601 was reviewed
(0037131)
mkv (tester)
2015-02-05 16:04

Branch CR24601 is TESTED
(0038487)
git (administrator)
2015-03-18 13:32

Branch CR24601 has been deleted by inv.

SHA-1: aa4ca0182c001eff4cd5b370862409c90bc48204

- Related Changesets
occt: master 07695610
Timestamp: 2015-02-05 13:24:46
Author: ika
Committer: bugmaster
Details ] Diff ]
0024601: Unwanted spheres shown after Step-Import

Add check for outer boundary before creating wire from Vertex Loop on spheres.
Test case for issue CR24601
mod - src/StepToTopoDS/StepToTopoDS_TranslateFace.cxx Diff ] File ]
add - tests/bugs/step/bug24601 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-05 17:40 goeranbarz New Issue
2014-02-05 17:40 goeranbarz Assigned To => gka
2014-02-05 17:40 goeranbarz File Added: 216523_2_03.stp
2015-01-27 17:07 gka Assigned To gka => ika
2015-01-27 17:07 gka Status new => assigned
2015-01-30 15:55 git Note Added: 0036906
2015-01-30 16:02 ika Assigned To ika => gka
2015-01-30 16:02 ika Status assigned => resolved
2015-01-30 16:02 ika Steps to Reproduce Updated View Revisions
2015-02-02 12:12 ika Note Added: 0036946
2015-02-02 12:12 ika Steps to Reproduce Updated View Revisions
2015-02-03 17:19 gka Note Added: 0037029
2015-02-03 17:19 gka Assigned To gka => bugmaster
2015-02-03 17:19 gka Status resolved => reviewed
2015-02-04 10:13 mkv Assigned To bugmaster => mkv
2015-02-05 15:25 mkv Note Added: 0037124
2015-02-05 15:25 git Note Added: 0037125
2015-02-05 15:26 mkv Note Added: 0037126
2015-02-05 15:26 mkv Assigned To mkv => ika
2015-02-05 15:26 mkv Status reviewed => feedback
2015-02-05 15:26 mkv Test case number => bugs step(014) bug24601
2015-02-05 16:02 gka Note Added: 0037130
2015-02-05 16:02 gka Assigned To ika => bugmaster
2015-02-05 16:02 gka Status feedback => reviewed
2015-02-05 16:04 mkv Note Added: 0037131
2015-02-05 16:04 mkv Status reviewed => tested
2015-02-06 15:38 bugmaster Changeset attached => occt master 07695610
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-09 11:05 bugmaster Target Version => 6.9.0
2015-03-18 13:32 git Note Added: 0038487
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker